# Firefox

## Extensions

Sources: [this](https://www.quippd.com/firefox/wiki/recommended-extensions/), [this](https://www.reddit.com/r/firefox/comments/1eqitkf/what_you_your_favorite_musthave_addons_now_called/) and [that](https://www.reddit.com/r/firefox/comments/1ddan3e/aside_of_ublock_origin_what_are_great_firefox/)

| Name                                     | Foss                                                                              | Links                                                                                                                                                            | Description                                                                                                                                                                                                    |
| :--------------------------------------- | :-------------------------------------------------------------------------------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Sideberry                                | [Repo](https://github.com/mbnuqw/sidebery)                                        | [AMO](https://addons.mozilla.org/en-US/firefox/addon/sidebery/)                                                                                                  | Ever wanted to manage your tabs nicely, look no further! With this extensions you can manage your tabs like trees and organize them gorgeously                                                                 |
| Enhancer for YouTube™                    | **False**                                                                         | [AMO](https://addons.mozilla.org/en-US/firefox/addon/enhancer-for-youtube/)                                                                                      | many additions for your YT experience                                                                                                                                                                          |
| Midnight Lizard                          | [Repo](https://github.com/Midnight-Lizard)                                        | [AMO](https://addons.mozilla.org/en-US/firefox/addon/midnight-lizard-quantum/), [Home](https://midnight-lizard.org/home)                                         | Flexible dark mode for every website                                                                                                                                                                           |
| NoScript Security Suite                  | [Repo](https://github.com/hackademix/noscript/)                                   | [AMO](https://addons.mozilla.org/en-US/firefox/addon/noscript/), [Home](https://noscript.net)                                                                    | for those who dislike every bit of JS on every website and want to regulate that                                                                                                                               |
| uBlacklist                               | [Repo](https://github.com/iorate/ublacklist)                                      | [AMO](https://addons.mozilla.org/en-US/firefox/addon/ublacklist/), [Home](https://iorate.github.io/ublacklist/docs)                                              | Filters out those pesky AI-generated sites straight out of your search results (and works for almost every search engine), also take a look at the [awesome-list](https://github.com/rjaus/awesome-ublacklist) |
| SingleFile                               | [Repo](https://github.com/gildas-lormeau/SingleFile)                              | [AMO](https://addons.mozilla.org/en-US/firefox/addon/single-file/)                                                                                               | Save entire pages in a single file (haha get it) with images and so on, with the possibility to annotate them beforehand                                                                                       |
| Cookie Quick Manager                     | [Repo](https://github.com/ysard/cookie-quick-manager)                             | [AMO](https://addons.mozilla.org/en-US/firefox/addon/cookie-quick-manager/)                                                                                      | Quickly manage your cookies and export some if needed (like for yt-dlp) in one of many different formats                                                                                                       |
| Shortkeys                                | [Repo](https://github.com/crittermike/shortkeys)                                  | [AMO](https://addons.mozilla.org/en-US/firefox/addon/shortkeys/)                                                                                                 | Configure custom keyboard shortcuts in FF                                                                                                                                                                      |
| LibreTimer                               | [Repo](https://github.com/Nudin/timer-webext)                                     | [AMO](https://addons.mozilla.org/en-US/firefox/addon/libretimer/)                                                                                                | Have a timer, stopwatch and alarm right in your browser                                                                                                                                                        |
| Redirector                               | [Repo](https://github.com/einaregilsson/Redirector)                               | [AMO](https://addons.mozilla.org/en-US/firefox/addon/redirector/), [Home](https://einaregilsson.com/redirector/)                                                 | Redirect any page to any other, may be cool to use foss alternatives or something like old-reddit                                                                                                              |
| Violentmonkey                            | [Repo](https://github.com/violentmonkey/violentmonkey)                            | [AMO](https://addons.mozilla.org/en-US/firefox/addon/violentmonkey/), [Home](https://violentmonkey.github.io/)                                                   | Open-source userscripts for everybody and anyone! There are whole guides just dedicated for this so use those instead ¯\_(ツ)\_/¯                                                                              |
| Link Status Redux                        | [Repo](https://github.com/jaatroko/link-status-redux)                             | [AMO](https://addons.mozilla.org/en-US/firefox/addon/link-status-redux/)                                                                                         | For those who want to see when they visited a link last                                                                                                                                                        |
| Awesome RSS                              | [Repo](https://github.com/shgysk8zer0/awesome-rss)                                | [AMO](https://addons.mozilla.org/en-US/firefox/addon/awesome-rss/)                                                                                               | For those who desperatly need those sweet, sweet RSS subscribe buttons                                                                                                                                         |
| Feedbro                                  | **False**                                                                         | [AMO](https://addons.mozilla.org/en-US/firefox/addon/feedbroreader/), [Home](https://nodetics.com/feedbro/)                                                      | If you haven't got the time or don't want to use an external RSS-reader you could always just view those feeds in your browser                                                                                 |
| tabliss                                  | [Repo](https://github.com/joelshepherd/tabliss)                                   | [AMO](https://addons.mozilla.org/en-US/firefox/addon/tabliss/), [Home](https://tabliss.io/), [Demo](https://web.tabliss.io/)                                     | If you don't like the default startpage maybe use this instead, very simplistic if that's your cup of tea!                                                                                                     |
| Don't Fuck With Paste                    | [Repo](https://github.com/aaronraimist/DontFuckWithPaste)                         | [AMO](https://addons.mozilla.org/en-US/firefox/addon/don-t-fuck-with-paste/)                                                                                     | Like the name _lightly_ implies this extensions lets you paste on any website of your choosing (nothing in the way of rickroll lyrics now ᕙ( •̀ ᗜ •́ )ᕗ)                                                         |
| Link Extractor                           | [Repo](https://github.com/cssnr/link-extractor)                                   | [AMO](https://addons.mozilla.org/en-US/firefox/addon/link-extractor/), [Home](https://link-extractor.cssnr.com/), [Docu](https://link-extractor.cssnr.com/docs/) | Ever wanted to extract almost every link off a page, then this is an extension for you!                                                                                                                        |
| Total Suspender                          | [Repo](https://github.com/k5md/Total-Suspender-webextension)                      | [AMO](https://addons.mozilla.org/en-US/firefox/addon/total-suspender/)                                                                                           | Haven't got the RAM, no problem! With this pages just get suspended and you don't have to worry!                                                                                                               |
| Chameleon                                | [Repo](https://github.com/sereneblue/chameleon)                                   | [AMO](https://addons.mozilla.org/en-US/firefox/addon/chameleon-ext/), [Home](https://sereneblue.github.io/chameleon/)                                            | If you don't want websites to know what browser you're using or they keep nagging you to "_use google chrome instead_" you should consider using this                                                          |
| Block or Highlight Search Engine Results | [Repo](https://github.com/pistom/hohser)                                          | [AMO](https://addons.mozilla.org/en-US/firefox/addon/hohser/)                                                                                                    | This extension enables you to highlight or hide specific search results (however for hiding you should consider using `uBlacklist`)                                                                            |
| Copyfish                                 | [Repo](https://github.com/A9T9/Copyfish)                                          | [AMO](https://addons.mozilla.org/en-US/firefox/addon/copyfish-ocr-software/), [Home](https://ocr.space/copyfish)                                                 | If you ever saw text in a picture and just wanted to quickly get the text of it, you should use this extensions                                                                                                |
| Time-Sync                                | [Repo](https://github.com/rakshith111/Time-Sync)                                  | [AMO](https://addons.mozilla.org/en-US/firefox/addon/time-sync/)                                                                                                 | Do you know when people say x is happening at 7pm in ETC or something akin to that and wonder, now when is that in my TZ? Just use this extension and it will convert it for you!                              |
| Augmented Steam                          | [Repo](https://github.com/IsThereAnyDeal/AugmentedSteam)                          | [AMO](https://addons.mozilla.org/en-US/firefox/addon/augmented-steam/), [Home](https://augmentedsteam.com/)                                                      | This is an "Improved browsing and shopping experience for Steam" that lets you view deals quickly or quickly jump to the steamdb entry                                                                         |
| LanguageTool                             | **The extension isn't**, [Repo](https://github.com/languagetool-org/languagetool) | [AMO](https://addons.mozilla.org/en-US/firefox/addon/languagetool/), [Home](https://languagetool.org/)                                                           | Ever wanted to write but you just made oh so many errors? This handy tool just fixes them for you                                                                                                              |

### Sideberry

To disable the top `navbar` you should consider using a custom `userChrome.css` like the following:

1. go to [`about:config`](about:config) and set `toolkit.legacyUserProfileCustomizations.stylesheets` to `true`
2. enter your FF profile dir using [`about:support`](about:support) and click on "*Profile Folder*" → if you find a file named `prefs.js` and `places.sqlite` you're at the right place
3. clone the [firefox-csshacks](https://github.com/MrOtherGuy/firefox-csshacks) repo into chrome using the command: `git clone https://github.com/MrOtherGuy/firefox-csshacks.git chrome`
4. copy the `userChrome_example.css` to `userChrome.css` and configure it to your liking

My file looks like this:

```css
/* Example userChrome.css file */

/* Import your desired components first */

/*@import url(chrome/tab_close_button_always_on_hover.css);*/
/*@import url(chrome/tab_loading_progress_throbber.css);*/
/*@import url(chrome/button_effect_scale_onclick.css);*/
/*@import url(chrome/blank_page_background.css);*/
/*@import url(chrome/autohide_menubar.css);*/
/*@import url(chrome/hide_toolbox_top_bottom_borders.css);*/
/*@import url(chrome/vertical_context_navigation.css);*/
/*@import url(chrome/minimal_popup_scrollbars.css);*/
/*@import url(chrome/button_effect_icon_glow.css);*/
/*@import url(chrome/dark_context_menus.css);*/
/*@import url(chrome/dark_additional_windows.css);*/
/*@import url(chrome/dark_checkboxes_and_radios.css);*/
/*@import url(chrome/minimal_text_fields.css);*/
/*@import url(chrome/minimal_toolbarbuttons.css);*/
/*@import url(chrome/urlbar_centered_text.css);*/
/* @import url(chrome/autohide_tabstoolbar.css); */
@import url(chrome/hide_tabs_toolbar_v2.css);

/* Apply your custom modifications after imports */

:root{
  --toolbar-bgcolor: rgb(36,44,59) !important;
  --uc-menu-bkgnd: var(--toolbar-bgcolor);
  --arrowpanel-background: var(--toolbar-bgcolor) !important;
  --autocomplete-popup-background: var(--toolbar-bgcolor) !important;
  --uc-menu-disabled: rgb(90,90,90) !important;
  --lwt-toolbar-field-focus: rgb(36,44,59) !important;
}

#sidebar-box{ --sidebar-background-color: var(--toolbar-bgcolor) !important; }
window.sidebar-panel{ --lwt-sidebar-background-color: rgb(36,44,59) !important; }
```

where you can see that I imported the `chrome/hide_tabs_toolbar_v2.css` file that completly hides the upper `navbar`

> [!TIP] Additonal Information
> there are way more options, that you can browse trough [here](https://mrotherguy.github.io/firefox-csshacks/)

## Filterlists

- [Bypass Paywalls Clean filter](https://filterlists.com/lists/bypass-paywalls-clean-filter)

